import com.urbancode.anthill3.*

final def workDir = new File('.').canonicalFile

//------------------------------------------------------------------------------
// GET ALL INPUT PARAMETERS
//------------------------------------------------------------------------------
final def ahpTool = new AHPTool();

final def props = ahpTool.getStepProperties();

final def serverUrl = props['integration/serverUrl']
final def tftoolExecutable = 'tftool' + props['integration/serverVersion'] + '.exe'
final def buildUri = props['buildUri']
final def quality = props['quality']

try {
    //------------------------------------------------------------------------------
    // Get build information from TFS
    //------------------------------------------------------------------------------

    try {
        new CommandHelper(workDir).runCommand("Get TFS Build info for $buildUri",
                [tftoolExecutable, 'setquality', "/server:$serverUrl", "/buildUri:$buildUri", "/quality:$quality"])
    }
    catch (Exception e) {
        throw new Exception("Error setting TFS build quality: $e.message")
    }
}
catch (Throwable t) {
    t.printStackTrace()
    System.exit 1
}